Subject: Java Native & cygnus-generated library.
From: [email-masked] (Eugene Teh)

20 Sep 1998 22:27:54 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: Eugene Teh <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

Hi, 
	
	I have a library (.a) generate using gcc (in CYGNUS environment)
	Now I am trying to call functions in this library in Java. 
	Has anyone done this?
	I used the solaris' header (for jni.h)
	And got the library foo.dll
	
But when the function is called in Java - 
I got an Unsatisfiable Link Error. 
(I have set my LD_LIBRARY_PATH variable appropriately)

Any help is truly appreciated. 

Eugene Teh
UC BErkeley

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".